﻿Shader "Custom/ShotDirection"
{
	SubShader
	{
		Tags { "RenderType"="Transparent" "Queue"="Transparent" "DisableBatching"="True" }
		LOD 100
		Blend One One
		ZTest Off
		ZWrite Off

		Pass
		{
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag
			
			#include "UnityCG.cginc"

			struct v2f
			{
				float2 uv : TEXCOORD0;
				float4 vertex : SV_POSITION;
			};

			sampler2D _MainTex;
			float4 _MainTex_ST;
			
			v2f vert (float4 v : POSITION)
			{
				v2f o;
				o.vertex = mul(UNITY_MATRIX_MVP,v);
				o.uv = v*2+1;
				return o;
			}
			
			fixed4 frag (v2f i) : SV_Target
			{
				float2 p = float2(abs(i.uv.x-1),i.uv.y);
				return sin(p.y*3.+fixed4(3,4,5,0))-max(p.x,cos(p.y*40+p.x-_Time.w*2));
			}
			ENDCG
		}
	}
}
